Bug 1484054 - Review Request: flatcam - 2D Computer-Aided PCB Manufacturing
Summary: Review Request: flatcam - 2D Computer-Aided PCB Manufacturing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 14:34 UTC by Damian Wrobel
Modified: 2017-09-09 23:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-09 23:49:14 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Damian Wrobel 2017-08-22 14:34:07 UTC
Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/flatcam.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/flatcam-8.5-4.20170701gita9a4ec75db12.fc25.src.rpm
Description: 2D Computer-Aided PCB Manufacturing
Fedora Account System Username: dwrobel

Comment 1 Robert-André Mauchin 🐧 2017-08-23 09:22:26 UTC
Hello,


  - You could use the %python2dist macros for your Python Requires as explained by https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

Requires:       python2dist(simplejson)
Requires:       PyQt4
Requires:       python2dist(numpy)
Requires:       python2dist(scipy)
Requires:       python2(svg-path)
Requires:       python2dist(matplotlib)
Requires:       python2-matplotlib-qt4
Requires:       python2dist(rtree)
Requires:       python2dist(shapely)


 - There should be an upstream bug number associated with you appdata patch.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (unspecified)", "Unknown or
     generated". 288 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/flatcam/review-
     flatcam/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor/128x128/apps(hicolor-icon-theme),
     /usr/share/icons/hicolor/128x128(hicolor-icon-theme)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in flatcam
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flatcam-8.5-4.20170701gita9a4ec75db12.fc28.noarch.rpm
          flatcam-8.5-4.20170701gita9a4ec75db12.fc28.src.rpm
flatcam.noarch: W: no-manual-page-for-binary flatcam
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Damian Wrobel 2017-08-24 12:05:05 UTC
(In reply to Robert-André Mauchin from comment #1)

Robert-André,

Thank you for taking this review.

> 
>   - You could use the %python2dist macros for your Python Requires as
> explained by
> https://fedoraproject.org/wiki/Packaging:
> Python#Requires_and_BuildRequires_with_standardized_names
> 
I switched to use those macros, although it will effectively exclude the package from F25 - that's not an issue for me.

> 
>  - There should be an upstream bug number associated with you appdata patch.
I added a link to PR.


Please find updated both SPEC and SRPM:
Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/flatcam.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/flatcam-8.5-5.20170701gita9a4ec75db12.fc25.src.rpm

Comment 3 Robert-André Mauchin 🐧 2017-08-24 14:48:31 UTC
There's an issue with Requires:       python2(svg-path) , where it doesn't find the correct package. I should file a bug report for this, but in the meantime, use:

Requires:       python2-svg-path

directly.

Comment 4 Damian Wrobel 2017-08-24 18:44:53 UTC
(In reply to Robert-André Mauchin from comment #3)
> 
> Requires:       python2-svg-path
> 
> directly.

Thanks for spotting it - workaround added.

Please find updated both SPEC and SRPM:
Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/flatcam.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/flatcam-8.5-6.20170701gita9a4ec75db12.fc25.src.rpm

Comment 5 Robert-André Mauchin 🐧 2017-08-24 18:47:25 UTC
We're good to go, package accepted.

Comment 6 Gwyn Ciesla 2017-08-25 12:48:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flatcam

Comment 7 Fedora Update System 2017-08-26 08:30:58 UTC
flatcam-8.5-6.20170701gita9a4ec75db12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-416b5415c9

Comment 8 Fedora Update System 2017-08-26 22:36:57 UTC
flatcam-8.5-6.20170701gita9a4ec75db12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-416b5415c9

Comment 9 Fedora Update System 2017-09-01 11:52:25 UTC
flatcam-8.5-7.20170701gita9a4ec75db12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7a4725bc4

Comment 10 Fedora Update System 2017-09-09 23:49:14 UTC
flatcam-8.5-7.20170701gita9a4ec75db12.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.